#!/bin/sh

version=$(cat alpine-version)-$(cat atmark-version)
case "$1" in
--release) ;;
*)
	version=${version}.$(date +%Y%m%d)
	;;
esac
tarname=build-rootfs-${version}

if ! git diff-index --ignore-submodules=untracked --quiet HEAD; then
	echo "Git not clean, please check before making tarball"
	exit 1
fi

git ls-files --recurse-submodules | \
    tar -czf "${tarname}.tar.gz" --xform "s:^:${tarname}/:S" --verbatim-files-from -T-

echo "Created $tarname.tar.gz"
